Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
tag: v2.6.0.rc5
Commits on May 6, 2011
  1. @dchelimsky

    prep for 2.6.0.rc5

    dchelimsky authored
  2. @dchelimsky
  3. @joelmoss @dchelimsky

    Relax the dependencies on rails gems to >= 3.0

    joelmoss authored dchelimsky committed
    - Closes #364.
  4. @dchelimsky

    Define name before subclassing in anonymous controller spec

    dchelimsky authored
    - this is necessary because Rails 3.1 relies on name in an inherited
      hook.
Commits on May 5, 2011
  1. @dchelimsky
  2. @dchelimsky

    Support controller specs with both Rails 3.0 and 3.1

    dchelimsky authored
    - also removed a couple of cukes that are obsolete in 3.1
Commits on May 4, 2011
  1. @dchelimsky
  2. @dchelimsky
  3. @dchelimsky
  4. @dchelimsky
  5. @dchelimsky

    changelog

    dchelimsky authored
  6. @dchelimsky

    centralize Capybara config

    dchelimsky authored
  7. @be9 @dchelimsky

    Require capybara after rspec/rails/example

    be9 authored dchelimsky committed
    Otherwise Capybara's includes are not set correctly.
    
    - Closes #360
    - Closes #362
Commits on May 1, 2011
  1. @dchelimsky

    bump to 2.6.0.rc4

    dchelimsky authored
  2. @dchelimsky

    changelog tweaks

    dchelimsky authored
Commits on Apr 30, 2011
  1. @dchelimsky

    prep for 2.6.0.rc3

    dchelimsky authored
Commits on Apr 29, 2011
  1. @dchelimsky

    changelog

    dchelimsky authored
  2. @dchelimsky

    Refactor controller/view_paths extensions for view isolation

    dchelimsky authored
    - handle both Strings and PathSets passed to append_view_path or
      prepend_view_path
Commits on Apr 28, 2011
  1. @amerine @dchelimsky

    Override append/prepend_view_paths in controller specs

    amerine authored dchelimsky committed
    - inject rspec-rails' path delegator resolver
    - Closes #359.
Commits on Apr 26, 2011
  1. @dchelimsky
  2. @dchelimsky

    doc update

    dchelimsky authored
Commits on Apr 25, 2011
  1. @dchelimsky
  2. @dchelimsky

    Update Capybara integration to support 0.4 and 1.0

    dchelimsky authored
    - this adds capybara matchers to view and helper specs
    - Closes #302.
  3. @dchelimsky
  4. @dchelimsky
  5. @dchelimsky
Commits on Apr 24, 2011
  1. @dchelimsky

    run one travis build until we get it passing - then we can add the ot…

    dchelimsky authored
    …her ruby and rails versions back in
  2. @dchelimsky

    gotta try the setup again\!

    dchelimsky authored
  3. @dchelimsky

    remove obsolete require

    dchelimsky authored
  4. @dchelimsky
  5. @dchelimsky
  6. @dchelimsky

    changelog

    dchelimsky authored
  7. @dchelimsky

    simplify

    dchelimsky authored
  8. @dchelimsky

    on one line, please

    dchelimsky authored
  9. @dchelimsky
Something went wrong with that request. Please try again.